<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head> 
    <title>Getting Started: Serving Web Content</title> 
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>
<body>

    <form action="#" th:action="@{/postEmployee}" th:object="${employee}" method="post">
        ID: <br/><input type="number" th:field="*{id}" /><br/>
        Name: <br/><input type="text" th:field="*{name}" /><br/>
        Address: <br/><input type="text" th:field="*{address}" /><br/>
        <input type="submit" value="Submit" />
    </form>

    <p th:text="Employees" />

    <table border="2">
        <tr>
            <th>ID</th>
            <th>Name</th>
            <th>Address</th>
        </tr>
        <tr th:each="e: ${employees}">
            <td th:text="${e.id}">id</td>
            <td th:text="${e.name}">name</td>
            <td th:text="${e.address}">address</td>
        </tr>

    </table>
</body>
</html>
